xmonad-contrib-0.15: Third party extensions for xmonad

Copyright | (c) David Roundy <droundy@darcs.net>
License | BSD3-style (see LICENSE)
Maintainer | none
Stability | unstable
Portability | unportable
Safe Haskell | None
Language | Haskell98

XMonad.Util.NamedWindows

Contents

- Usage

Description

This module allows you to associate the X titles of windows with them.

Synopsis

- data NamedWindow
- getName :: Window -> X NamedWindow
- withNamedWindow :: (NamedWindow -> X ()) -> X ()
- unName :: NamedWindow -> Window

# Usage

See XMonad.Layout.Tabbed for an example of its use.

data NamedWindow Source #

Instances

Eq NamedWindow Source # |
Instance details Defined in XMonad.Util.NamedWindows Methods (==) :: NamedWindow -> NamedWindow -> Bool Source # (/=) :: NamedWindow -> NamedWindow -> Bool Source #
Ord NamedWindow Source # |

Instance details

Defined in XMonad.Util.NamedWindows

Methods

compare :: NamedWindow -> NamedWindow -> Ordering Source #

(<) :: NamedWindow -> NamedWindow -> Bool Source #

(<=) :: NamedWindow -> NamedWindow -> Bool Source #

(>) :: NamedWindow -> NamedWindow -> Bool Source #

(>=) :: NamedWindow -> NamedWindow -> Bool Source #

max :: NamedWindow -> NamedWindow -> NamedWindow Source #

min :: NamedWindow -> NamedWindow -> NamedWindow Source #

Show NamedWindow Source # |
Instance details Defined in XMonad.Util.NamedWindows Methods showsPrec :: Int -> NamedWindow -> ShowS Source # show :: NamedWindow -> String Source # showList :: [NamedWindow] -> ShowS Source #

getName :: Window -> X NamedWindow Source #

withNamedWindow :: (NamedWindow -> X ()) -> X () Source #

unName :: NamedWindow -> Window Source #